Groovy 1.7.0

## org.codehaus.groovy.control
Class CompilationUnit.ClassgenCallback

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.ClassgenCallback

    class CompilationUnit.ClassgenCallback

A callback interface you can use to "accompany" the classgen() code as it traverses the ClassNode tree. You will be called-back for each primary and inner class. Use setClassgenCallback() before running compile() to set your callback.

Constructor Summary
`CompilationUnit.ClassgenCallback()`

Method Summary
`void` | `call(ClassVisitor writer, ClassNode node)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### CompilationUnit.ClassgenCallback

    CompilationUnit.ClassgenCallback()

Method Detail

### call

    public void call(ClassVisitor writer, ClassNode node)

Copyright © 2003-2009 The Codehaus. All rights reserved.